@font-face {
    font-family: carter;
    src: local(carter), url(077c4bbc891d504d9751.ttf) format('truetype');
}

@font-face {
    font-family: EraesrRegular;
    src: local(EraesrRegular), url(3f8aecef660ae811b2bc.ttf) format('truetype');
}

@font-face {
    font-family: ostrich;
    src: local(ostrich), url(3b96f7d7e15d17dd1149.otf) format('truetype');
}

@font-face {
    font-family: just;
    src: local(just), url(0ef84783c95cf2a77caa.ttf) format('truetype');
}

@font-face {
    font-family: clip;
    src: local(clip), url(4fc95a3ed37770a06f33.ttf) format('truetype');
}
@font-face {
    font-family: digital;
    src: local(digital), url(3864737fbd7ce7a4cea6.ttf) format('truetype');
}


* {
    box-sizing: border-box;
    scroll-behavior: smooth;
    color-scheme: dark;
    scroll-padding-top: 50px;
}

/* scroolBar */
body::-webkit-scrollbar {
    width: 7px;}

body::-webkit-scrollbar-track {
    background: rgb(33, 33, 36);
}

body::-webkit-scrollbar-thumb {
    background-color: #b25ed3d7;
    border-radius: 20px;
    border: 1px solid #ffffff;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
    font-size: 20px;
}

.app {
    position: relative;
    height: 100vh;
    width: auto;
    border-left: auto;
    border-right: auto;
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

h1,
p,
h2,
label,
li {
    font-family: 'Carter One', carter;
}

.wrap-pages {
    position: relative;
    top: 50px;
    padding: 0 100px;
    height: auto;
    min-height: 2000px;
}

/* navBar */
.nav-bar {
    display: flex;
    justify-content: space-between;
    margin: 0;
    padding: 0 20px;
    width: 100%;
    height: block;
    position: fixed;
    z-index: 1000;
    top: 0;
    background-color: #141316;
}

.nav-bar .left-side-nav {
    padding: 0;
    margin: 0;
}

.nav-bar .left-side-nav .logo {
    cursor: pointer;
    padding: 5px 0;
    z-index: -1;
}

.nav-bar .right-side-nav {
    align-items: center;
    display: flex;
}

.nav-bar .right-side-nav ul {
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    margin: 0;

}

.nav-bar .right-side-nav ul a {
    text-decoration: none;
    font-family: 'Carter One', cursive;
}

.nav-bar .right-side-nav li {
    cursor: pointer;
    padding: 10px;
    color: #b25ed3d7
}

.nav-bar .right-side-nav .menu-container {
    display: none;
    position: relative;
    width: 30px;
    height: 20px;
    cursor: pointer;
}

#menu-toggle {
    display: none;
}

.nav-bar .right-side-nav .menu-container span {
    border-radius: 2px;
    position: absolute;
    background-color: #fff;
    height: 4px;
    width: 30px;
}

.nav-bar .right-side-nav .menu-container span:before {
    content: '';
}

.nav-bar .right-side-nav .menu-container .first-line-menu {
    top: 0;
}

.nav-bar .right-side-nav .menu-container .second-line-menu {
    top: 8px;
}

.nav-bar .right-side-nav .menu-container .third-line-menu {
    bottom: 0;
}

#menu-toggle+.menu-container>.first-line-menu {
    animation: turn-rotate-first .5s ease-in-out;
}

#menu-toggle+.menu-container>.third-line-menu {
    animation: turn-rotate-third .5s ease-in-out;
}

#menu-toggle+.menu-container>.second-line-menu {
    animation: turn-position-second .5s ease-in-out;
}

#menu-toggle:checked+.menu-container>.first-line-menu {
    animation: rotate-first .5s ease-in-out;
    animation-fill-mode: both;
}

#menu-toggle:checked+.menu-container>.third-line-menu {
    animation: rotate-third .5s ease-in-out;
    animation-fill-mode: both;
}

#menu-toggle:checked+.menu-container>.second-line-menu {
    animation: position-second .5s ease-in-out;
    animation-fill-mode: both;
}


@keyframes rotate-first {
    to {
        top: 8px;
        transform: rotate(-45deg);
    }
}

@keyframes rotate-third {
    to {
        bottom: 8px;
        transform: rotate(45deg);
    }
}

@keyframes position-second {
    to {
        top: 23px;
    }
}

@keyframes turn-rotate-first {
    from {
        top: 8px;
        transform: rotate(-45deg);
    }

    to {
        top: 0px;
        transform: rotate(0deg);
    }
}

@keyframes turn-rotate-third {
    from {
        bottom: 8px;
        transform: rotate(45deg);
    }

    to {
        bottom: 0px;
        transform: rotate(0deg);
    }
}

@keyframes turn-position-second {
    from {
        top: 23px;
    }

    to {
        top: 8px;
    }
}

@media screen and (orientation: portrait) {

    /* .app { // be carfull could change the position of screen wehen resize 
        padding: 0 5px;
    } */
    #menu-toggle~ul {
        display: none;
        left: 0;
    }

    #menu-toggle:checked~ul {
        position: absolute;
        display: block;
        width: 100%;
        top: 50px;
    }

    .nav-bar .right-side-nav li {
        padding: 0;
        width: 100%;
        text-align: center;

        animation: flow-smooth-bootom .5s ease-in-out;
        animation-fill-mode: both;
    }

    .nav-bar .right-side-nav li:hover {
        background-color: rgb(36, 33, 33);
    }

    .nav-bar .right-side-nav .menu-container {
        display: block;
    }

    @keyframes flow-smooth-bootom {
        from {
            padding: 0;
            opacity: 0;
        }

        to {
            padding: 10px 0;
            opacity: 1;
        }
    }
}

@media screen and (max-width: 700px) {
    .wrap-pages {
        /* we puuse that for the phone screen fit need to valide that not cousre bug */
        padding: 0px;
    }

    .list-menu {
        background: #3c0c4e;
        z-index: 1;
        padding: 0;
        max-width: 100vw;
    }

    .right-side-nav li {
        list-style-position: inside;
        border: 1px solid black;
    }
}

/* Intro */

.intro {
    position: relative;
    width: 100%;
    height: calc(100vh - 50px);
    min-height: 100%;
}

.intro .flex-intro-content {
    display: flex;
    width: 100%;
    height: 100%;

}

.intro h1 {
    font-size: 3rem;
}

.wrap-text p {
    margin: 10px 0;
    font-size: 1.5rem;
    max-width: 450px;
    
}

.intro .head-page {
    display: flex;
    padding: 50px 0;
    position: absolute;
    z-index: 2;
    opacity: 1;
    
}

@keyframes smoothShow {
    0% {
        opacity: 0;
        display: none;
        transform: translateX(-300px);
    }

    100% {
        opacity: 1;
        display: flex;
        transform: translateX(0);
        z-index: 1;
    }
}

@keyframes smoothDisapier {
    0% {
        opacity: 1;
        display: flex;
        transform: translateX(0);
    }

    100% {
        display: none;
        opacity: 0;
        transform: translateX(-300px);
        z-index: -1;
    }
}

.intro .line-circle {
    position: relative;
    height: 213px;
    width: 13px;
    scale: 1.2;
}

.intro .line-circle .circle {
    content: '';
    width: 15px;
    height: 15px;
    background-color: #ae12ebd7;
    border-radius: 50%;
    display: flex;
    justify-content: center;
}

.intro .line-circle .line {
    background-image: linear-gradient(#ae12ebd7, #ae12eb00);
    width: 3px;
    height: 200px;
    border-radius: 5px;
    display: flex;
    position: relative;
    justify-content: center;
    position: absolute;
    left: 5.5px;
    bottom: .5px;
}

.intro .wrap-text {
    margin: 0 8px;
}

.intro .head-text {
    margin: 0;

}

.intro .head-text span {
    color: #ae12ebd7;
}

.intro .head-text span .first-letter {
    -webkit-text-stroke: .5px #ffffff
}

.intro .intro-bottom {
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: 10px;
    display: inline-flex;
    justify-content: center;
}

.intro .scroll-icon {
    cursor: pointer;
    width: 25px;
    height: 50px;
    border: 2px solid white;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    justify-content: center;
    display: flex;
    z-index: 7;
}

.intro .scroll-icon span {
    width: 10px;
    height: 10px;
    background-color: white;
    border-radius: 50%;
    animation: move-circle 1.5s ease-in-out infinite;
}


@keyframes move-circle {
    0% {
        margin-top: 5px;
    }
    50% {
        margin-top: 30px;
    }

    100% {
        margin-top: 5px;
    }
}

/* .intro #zoom-volume{
    position: absolute;
    z-index: 4;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 200px;
    top: 40px;

} */

.intro .active-zoom {
    position: absolute;
    z-index: 4;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 200px;
    top: 40px;
    display: block;
    animation: volumeZoomActive 1s forwards;
}

.intro .deactive-zoom {
    display: none;
    animation: volumeZoomDeactive 1s forwards;
}

@keyframes volumeZoomActive {
    0% {
        width: 0;
        opacity: 0;
    }

    100% {
        width: 200px;
        opacity: 1;
    }
}

@keyframes volumeZoomDeactive {
    100% {
        width: 0;
        opacity: 0;
    }
}

input[type="range"] {
    -webkit-appearance: none;
    margin-right: 15px;
    width: 200px;
    height: 12px;
    border-radius: 5px;
    background-image: linear-gradient(90deg, #908990, #6f0580);
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

/* Input Thumb */
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 25px;
    width: 10px;
    border: 4px solid rgba(235, 213, 213, 0.836);
    border-radius: 3px;
    background: transparent;
    cursor: pointer;
    box-shadow: 0 0 2px 0 #555;

}

input[type="range"]::-moz-range-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    background: transparent;
    cursor: pointer;
}

input[type="range"]::-ms-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    background: transparent;
    cursor: pointer;
}

/* Input Track */
input[type=range]::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
}

input[type=range]::-moz-range-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
}

input[type="range"]::-ms-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
}

.intro .zoom-in-text {
    position: absolute;
    color: white;
    z-index: 2;
    width: 300px;
    rotate: 50deg;
    right: 0;
    top: 0;
}

.intro .zoom-in-text text {
    fill: #ffffff;
    font-size: 1.5rem;
    font-family: EraesrRegular;
}

.intro .zoom-in-text path {
    fill: transparent;
}

.intro .zoom-in-text .circle {
    z-index: 1;
    display: none;
    position: absolute;
    width: 60px;
    height: 60px;
    background-color: #ae12ebd7;
    border-radius: 50%;
    right: 90px;
    bottom: 80px;
    justify-content: center;
    opacity: .8;
    cursor: pointer;
    animation: resizeCircle 1s ease-in-out forwards;
}

@keyframes resizeCircle {
    0% {
        scale: 0;
    }

    90% {
        scale: 1.25;
    }

    100% {
        scale: 1;
    }
}

.intro .zoom-in-text .circle img {
    rotate: -50deg;
    -webkit-transform: scaleX(-0);
    transform: scaleX(-1);
}

@media screen and (max-width: 900px) {
    .intro {
        /* height: auto; */
    }

    /* .intro .head-page{
        padding: 0;
    } */
    .intro .canvas-computer {
        /* position: relative; */
        height: 100%;
        overflow: hidden;
    }
    .intro .intro-bottom {}
    .intro .zoom-in-text {
        bottom: -93px;
        right: 0px;
        top: auto;
        rotate: 0deg;
        z-index: 6;
        width: 190px;
        height: 200px;
    }

    .intro .zoom-in-text .circle {
        right: 50px;
    }
}

@media screen and (orientation: portrait) {

    .intro .active-zoom {
       top: auto;
       bottom: 100px;
       left: -200px;
    }
}

/* About Page */

.about {
    width: 100%;
    padding: 10px;
    position: relative;
    font-size: 1.5rem;
    min-height: 100vh;
    overflow: hidden;
}

.about.reveal p {
    margin: 0;
    padding: 0;
    width: 60%;
    color: transparent;
    text-shadow: 0 0 5px gray;
}

.about.reveal.active p {
    animation: unblur 2s forwards;
}

.about .wrap-text-card {
    display: flex;
    justify-content: center;
}

@keyframes unblur {
    to {
        color: gray;
        text-shadow: none;
    }
}

.about .wrap-cards {
    position: relative;
    width: 600px;
    height: 230px;
    display: flex;
    scale: 1;
    font-size: 1.5rem;
    margin: 0;
    padding: 0;
}

.about .wrap-cards .card {
    background: radial-gradient(circle, rgba(91, 47, 115, 1) 0%, rgba(59, 8, 61, 1) 100%);
    height: 230px;
    width: 180px;
    border: 1px solid #ffffff;
    box-shadow: 0 0 5px #ffffff, 0 0 10px #844497;
    border-radius: 30px;
    padding: 30px 40px;
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: calc(var(--i)*75px - 75px) 10px;
}

.about.reveal.active .wrap-cards .card {
    animation: shift-card calc(var(--i)*2s) ease-in-out forwards;

}

@keyframes shift-card {
    0% {
        /* transform: translateX(-50px); */
        opacity: 0;
    }

    100% {
        /* transform: translateX(0); */
        opacity: 1;
    }

}

@keyframes smooth-slide {
    from {
        opacity: 0;

    }
    to {
        opacity: 1;
    }
}

.about .wrap-cards .card img {
    display: block;
    width: 100%;
    padding: 5px;
}

.about .wrap-cards .card .wrap-txt {
    text-align: center;
}

@media screen and (min-width: 1404px) {
    .about.reveal p {
        font-size: 2.3rem;
        width: 60%;
    }
}

@media screen and (max-width: 1404px) {
    .about.reveal p {
        font-size: 1.4rem;
        width: 60%;

    }
}

@media screen and (max-width: 1110px) {
    .about.reveal p {
        width: 90%;
    }
}

@media screen and (max-width: 1110px) {
    .about.reveal .wrap-cards {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }

    .about .wrap-text-card {
        display: block;
    }

    .about .wrap-cards .card {
        margin: 0 10px;
    }
}

@media screen and (orientation: portrait) {
    .about {
        overflow-y: hidden;
        min-height: auto;
    }

    .about .wrap-text-card {
        display: block;
    }

    .about .wrap-cards {
        justify-content: center;
        width: auto;
    }

    .about .wrap-cards .card {
        margin: 0 10px;
        width: 150px;
        height: 190px;
    }

    .about p {
        width: 100%;
    }
}


/* @media screen and (max-height: 600px) {
    .about .wrap-cards{
        margin: 0px;
        width: auto;
    }
    .about .wrap-cards .card{
        margin: 0 10px;
    }
} */
@media screen and (max-width: 500px) {
    .about .wrap-text-card {
        display: block;
    }

    .about .wrap-cards {
        margin: 0px;
        width: auto;
    }

    .about .wrap-cards .card {
        width: 130px;
        height: 170px;
        font-size: 18px;
        margin: 0 10px;
    }

}

@media screen and (max-width: 450px) {
    .about {
        min-height: auto;
        overflow: hidden;
    }

    .about .wrap-text-card {
        display: block;
    }

    .about .wrap-cards {
        width: auto;
        height: auto;
        margin: 30px 0;
    }

    .about .wrap-cards .card {
        position: relative;
        width: 100px;
        height: 130px;
        padding: 0;
        display: flex;
        align-items: center;
    }

    .about .wrap-cards img {
        width: 70px !important;

    }

    .about .wrap-cards .card .wrap-txt {
        padding-bottom: 12px;

    }

}

@media screen and (max-width: 360px) {
    .about .wrap-cards .card {
        position: relative;
        width: 80px;
        height: 130px;
        padding: 0;
        display: flex;
        align-items: center;
    }

    .about .wrap-cards img {
        width: 70px !important;

    }

    .about .wrap-cards .card .wrap-txt {
        padding-bottom: 12px;
    }
}


/* Experience Page */

.experience {
    position: relative;
    width: 100%;
}

.experience .head {
    width: 100%;
}

.experience.reveal h2 {
    opacity: 0;
}

.experience.reveal.active h2 {
    animation: smooth-down-text 1s ease-in forwards;
}

@keyframes smooth-down-text {
    from {
        transform: translateY(-20px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}
.experience .timeline {
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
}

.experience .timeline .line {
    position: absolute;
    display: block;
    width: 3px;
    height: 100%;
    background-color: #fff;
    border-radius: 15px;
}

.list-works {
    position: relative;
    display: flex;
    margin: 0;
    padding: 0;
    flex-direction: column;
    justify-content: space-between;
}

.list-works .work {
    padding: 0;
    margin: 10px;
    width: 100px;
    height: 340px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 20px;
    font-size: 18px;
}

.list-works .work .description-left:before {

    position: absolute;
    width: 10px;
    height: 10px;
    content: '';
    background: #161017;
    top: 4px;
    right: -7.6px;
    rotate: calc(45deg);
    border-top: 2px solid #665e70;
    border-right: 2px solid #665e70;
}

.list-works .work .description-left {
    font-weight: lighter;
    position: absolute;
    right: 100px;
    width: 350px;
    min-height: 250px;
    max-height: 315px;
    opacity: 0.7;
    top: 15px;
    border: 2px solid #665e70;
    background: radial-gradient(circle, rgba(91, 47, 115, .5) 0%, rgba(22, 16, 23, .5) 100%);
    box-shadow: 0 0 5px #ffffff, 0 0 10px #f32a06;
    opacity: 0;
    padding: 10px;
}

.list-works .work .company-left {
    position: absolute;
    top: 40px;
    left: 100px;
    width: 200px;
}

.list-works .work .company-right {
    position: absolute;
    top: 40px;
    right: 0;
    width: 200px;
}

.experience.reveal.active .list-works .work .description-left {
    animation: smooth-left-description 2s forwards;
}

@keyframes smooth-left-description {
    from {
        transform: translateX(-50px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.list-works .work .date-left {
    position: absolute;
    top: 10px;
    left: 100px;
    width: 200px;
}

.list-works .work .description-right:before {
    position: absolute;
    width: 10px;
    height: 10px;
    content: '';
    background: #161017;
    top: 4px;
    left: -7.6px;
    rotate: calc(45deg);
    border-left: 2px solid #665e70;
    border-bottom: 2px solid #665e70;
    z-index: -1;
}

.list-works .work .circle {
    position: relative;
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 8px;
}

.list-works .work .circle img {
    object-fit: cover;
}

.list-works .work .description-right {
    position: absolute;
    left: 100px;
    width: 350px;
    min-height: 250px;
    max-height: 315px;
    opacity: 0.7;
    top: 15px;
    border: 2px solid #665e70;
    background: radial-gradient(circle, rgba(91, 47, 115, .5) 0%, rgba(22, 16, 23, .5) 100%);
    box-shadow: 0 0 5px #ffffff, 0 0 10px #f32a06;
    opacity: 0;
    padding: 10px;
}

.experience.reveal.active .list-works .work .description-right {
    animation: smooth-right-description 2s forwards;
}

@keyframes smooth-right-description {
    from {
        transform: translateX(50px);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

.list-works .work .date-right {
    position: absolute;
    top: 10px;
    right: 0;
    width: 200px;
}

.experience .timeline .circle {
    top: 0;
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: #423c44;
    border-radius: 50%;
    opacity: 1;
    border: 2px solid #fff;
    scale: 0
}

.experience.reveal.active .circle {
    animation: circle-scale 1s ease-in-out forwards;
}

@keyframes circle-scale {
    0% {
        scale: 0
    }

    80% {
        scale: 1.25;
    }

    100% {
        scale: 1;
    }
}

@media screen and (max-width: 850px) {
    .experience .timeline {
        display: flex;
        justify-content: start;
    }

    .experience .timeline .line {
        left: 25px;
    }

    .list-works .work {

        width: 50px;

    }

    .list-works .work .description-left {
        left: 70px;
        width: 350px;
    }

    .list-works .work .description-right {
        left: 70px;
        width: 350px;
    }

    .list-works .work .date-left {
        position: absolute;
        top: -10px;
    }

    .list-works .work .date-right {
        position: absolute;
        top: -10px;
        left: 100px;
    }

    .list-works .work .company-left {
        position: absolute;
        top: -10px;
        left: 210px;

        max-width: 150px;


    }

    .list-works .work .company-right {
        position: absolute;
        top: -10px;
        left: 210px;

        max-width: 150px;
    }

    .list-works .work .description-left:before {
        left: -7.6px;
        rotate: calc(-135deg);
        z-index: -1;
    }
}

@media screen and (max-width: 430px) {
    .list-works .work {
        font-size: 16px;
    }

    .list-works .work .description-left {
        left: 70px;
        width: 280px;
    }

    .list-works .work .description-right {
        left: 70px;
        width: 280px;
    }
}

@media screen and (max-width: 360px) {
    .list-works .work {
        align-items: start;
        justify-content: start;
    }

    .list-works .work .description-right {
        left: 40px;
        width: 260px;
        top: 5px;
    }

    .list-works .work .description-left {
        left: 40px;
        width: 260px;
        top: 5px;
    }

    .experience .timeline .line {
        left: 15px;
    }

    .list-works .work .date-left {
        top: -20px;
    }

    .list-works .work .date-right {
        top: -20px;
    }

    .list-works .work .circle {
        width: 30px;
        height: 30px;

    }
}

/* Tech */

.tech {
    width: 100%;
    height: auto;
    min-height: 500px;

}

.tech h1 {
    opacity: 0;
}

.tech.reveal.active h1 {
    display: block;
    animation: entranceHead 1s forwards;
}

.tech.reveal.active .canvas-tech-balls {
    animation: entranceHead 2s forwards;
}

@keyframes entranceHead {
    from {
        opacity: 0;
        transform: translateX(-20px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}



/* Contact Page */
.contact {
    position: relative;
    width: 100%;
}

.contact .flex-page {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.contact .wrap-p {
    position: relative;
    width: auto;
    height: 100%;
    bottom: 75px;
    right: 75px;
}

.contact.reveal .wrap-p p {
    font-family: clip !important;
    max-width: 100%;
    width: 650px;
    min-height: 350px;
    font-size: 2.8rem;
    letter-spacing: 2px;
    top: 0;
    bottom: 0;
    margin: auto 0;
    text-align: center;
    z-index: 2;
    text-transform: uppercase;
    color: #6b1839;
}

.contact.reveal.active .wrap-p p {
    color: #ffe6ff;
    text-shadow: 0 0 0.6rem #ffe6ff, 0 0 1.5rem #fa65ff,
        -0.2rem 0.1rem 1rem #e565ff, 0.2rem 0.1rem 1rem #ff65f7,
        0 0.5rem 3rem #ff24ff;
    animation: shine 1s forwards,flicker 3s 1s infinite;
}

.contact .wrap-p #arrow-led {
    position: absolute;
    right: -100px;
    bottom: -130px;
}

.contact .wrap-p #arrow-led path {
    stroke: #6b1839;
    background: transparent;
}

.contact.reveal.active .wrap-p #arrow-led path {
    stroke: #ffe6ff;
    filter: drop-shadow(0 0 0.2rem #ffe6ff);
    filter: drop-shadow(0 0 4rem #fa65ff);
    filter: drop-shadow(-0.2rem 0.1rem 0.6rem #ff65ff #e524ff);
    filter: drop-shadow(0 -0.5rem 0.8rem #e524ff);
    filter: drop-shadow(0 0.5rem 1rem #ff24f4);
    animation: shine 1s forwards,flicker 3s 1s infinite;

}

@keyframes shine {
    0% {
        opacity: 0.1;
    }

    100% {
        opacity: 1;
    }
}

@keyframes flicker {
    from {
        opacity: 1;
    }

    4% {
        opacity: 0.9;
    }

    6% {
        opacity: 0.85;
    }

    8% {
        opacity: 0.95;
    }

    10% {
        opacity: 0.9;
    }

    11% {
        opacity: 0.922;
    }

    12% {
        opacity: 0.9;
    }

    14% {
        opacity: 0.95;
    }

    16% {
        opacity: 0.98;
    }

    17% {
        opacity: 0.9;
    }

    19% {
        opacity: 0.93;
    }

    20% {
        opacity: 0.99;
    }

    24% {
        opacity: 1;
    }

    26% {
        opacity: 0.94;
    }

    28% {
        opacity: 0.98;
    }

    37% {
        opacity: 0.93;
    }

    38% {
        opacity: 0.5;
    }

    39% {
        opacity: 0.96;
    }

    42% {
        opacity: 1;
    }

    44% {
        opacity: 0.97;
    }

    46% {
        opacity: 0.94;
    }

    56% {
        opacity: 0.9;
    }

    58% {
        opacity: 0.9;
    }

    60% {
        opacity: 0.99;
    }

    68% {
        opacity: 1;
    }

    70% {
        opacity: 0.9;
    }

    72% {
        opacity: 0.95;
    }

    93% {
        opacity: 0.93;
    }

    95% {
        opacity: 0.95;
    }

    97% {
        opacity: 0.93;
    }

    to {
        opacity: 1;
    }
}

.contact .wrap-phone {
    position: relative;
    
    width: 250px;
    height: 600px;
 
}

.contact .h1 {
    opacity: 0;
}

.contact.reveal.active h1 {
    animation: slideFromLeft 1s linear forwards
}

@keyframes slideFromLeft {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }

    40% {
        transform: translateX(-20px);
    }

    65% {

        transform: translateX(10px);
    }

    90% {

        transform: translateX(-20px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@media screen and (max-width: 1100px) {
    .contact .flex-page {
        display: block;
    }

    .contact .wrap-p {
        width: 100%;
        bottom: auto;
        right: auto;
        left: auto;
    }

    .contact .wrap-p p {
        width: 100%;
        height: auto;
    }

    .contact .wrap-phone {
        width: 100%;
        position: relative;
        display: flex;
        justify-content: center 
    }

    .contact .wrap-p #arrow-led {
        display: none;
    }
}

/* All Canvas */

/* computer */
.canvas-background {
    /* background-color: #141316; */
    position: absolute;
    z-index: -1;
    height: 100%;
    width: 100%;
    left: 0;
}

.canvas-computer {
    /* background-color: #141316; */
    position: absolute;
    z-index: -1;
    height: 100%;
    width: 100%;

}

.canvas-tech-balls {
    opacity: 0;
    position: relative;
    z-index: 1;
    height: 400px;
    width: 100%;
}

.canvas-contact-puzzles {
    position: absolute;
    z-index: 1;
    height: 100%;
    width: 100%;
}

.canvas-phone {
    position: absolute;
    z-index: 1;
    min-height: 620px;
    height: 100%;
    width: 250px;
}

.logo #name {
    letter-spacing: 4px;
    font-size: 25px;
    font-family: ostrich;
    font-weight: bold;
    fill: #9a3ad6 !important;
}

.logo #role {
    font-size: 13px;
    font-family: just;
    letter-spacing: 1px;
    fill: #4e5b78;
    font-weight: 600;
}

.logo #arrow-left {
    font-size: 20px;
    font-family: digital;
    letter-spacing: 0px;
    fill: #9a3ad6;
    font-weight: bolder;
    animation: slideLeftLogo 1s infinite;
}

@keyframes slideLeftLogo {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(-1px);
    }

    100% {
        transform: translateX(0px);
    }
}

.logo #arrow-right {
    font-size: 20px;
    font-family: digital;
    letter-spacing: 0px;
    fill: #9a3ad6;
    font-weight: bolder;
    animation: slideRightLogo 1s infinite;
}

@keyframes slideRightLogo {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(1px);
    }

    100% {
        transform: translateX(0px);
    }
}

.logo #slash {
    font-size: 18px;
    font-family: digital;
    letter-spacing: 0px;
    fill: #9a3ad6;
    font-weight: bolder;
}

.loading-page {
    width: 100%;
    height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2.5rem;
}

.loading-page h1 {

    position: absolute;
    text-decoration: uppercase;

}


.loading-page h1:nth-child(1) {
    color: rgba(255, 255, 255, 1);

}

.loading-page h1:nth-child(2) {
    color: #3c0c4e;
    animation: smoothFill 3s ease-in-out infinite;
}

@keyframes smoothFill {
    0% {
        clip-path: polygon(0 49%, 17% 47%, 31% 49%, 46% 54%, 63% 61%, 85% 56%, 100% 47%, 100% 100%, 0 100%);
    }

    50% {
        clip-path: polygon(0 56%, 16% 61%, 39% 61%, 50% 54%, 61% 44%, 79% 40%, 100% 47%, 100% 100%, 0 100%);
    }

    100% {
        clip-path: polygon(0 49%, 17% 47%, 31% 49%, 46% 54%, 63% 61%, 85% 56%, 100% 47%, 100% 100%, 0 100%);
    }

}









/* 
.contact .flame-box{
    display: inline-block;
    font-size: 24px;
    filter: blur(0.02em);
    --webkit-filter: blur(0.02em);
    margin: (3em auto 0 auto);
    position: relative;
    width: 12em;
    height: 3em;
    left: 400px;
    
}
.particle{
    animation: rise 1.3s ease-in infinite;
    animation-delay: calc(1s * var(--random));
    top: calc((3em*(var(--i)-1)/50));
    
    background-image: radial-gradient(rgb(252, 252, 252) 1%, rgb(234, 0, 255) 20%,rgba(238, 217, 238, 0) 69%);
    border-radius: 50%;
    mix-blend-mode: screen;
    opacity: 0;
	position: absolute;
	bottom: 0;
    width: 5em;
    height: 3em;
}
@keyframes rise {
	from {
		opacity: 0;
		transform: translateX(0) scale(1);
	}
	25% {
		opacity: 1;
	}
	to {
		opacity: 0;
		transform: translateX(15em) scale(0);
	}
} */


.phone-html {
    position: relative;
    height: 64px;
    width: 40px;
    opacity: 0;
    
}

.contact.reveal.active .phone-html{
    animation: turnOn 3s ease-in-out forwards;
}
@keyframes turnOn{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.phone-main-page {
    /* background: "radial-gradient(circle, rgba(91,47,115,.5) 0%, rgba(59,8,61,.5) 100%)"; */
    width: 100%;
    height: 100%;
    opacity: .3;
    font-size: 3px;
    

}

.phone-main-page form {
    overflow: auto;
}

.phone-main-page form input {
    background: radial-gradient(circle, rgba(91,47,115,.2) 0%, rgba(59,8,61,.2) 100%);
    height: 12px;
    border-radius: 0;
    font-size: 3px;
    padding: 0;
    border: 1px;
    height: 8px;
    padding: 0;
    width: 100%;
 
}

.phone-main-page form textarea,
input:focus {
    background: radial-gradient(circle, rgba(91,47,115,.2) 0%, rgba(59,8,61,.2) 100%);

    border-radius: 0px;
    border: 1px;
    outline: none;
}
.phone-main-page form input::placeholder  {
color: white;
opacity: 1;
}

.phone-main-page form textarea::placeholder  {
    color: white;
    opacity: 1;
    }
    

.phone-main-page form textarea {
    height: 12px;
    border-radius: 0;
    font-size: 3px;
    padding: 0;
    resize: none;
    width: 100%;
}

/* scroolBar */
.phone-main-page form textarea::-webkit-scrollbar {
    width: 1.5px;
    /* width of the entire scrollbar */
}

.phone-main-page form textarea::-webkit-scrollbar-track {
    background: rgb(33, 33, 36);
    /* color of the tracking area */
}

.phone-main-page form textarea::-webkit-scrollbar-thumb {
    background-color: #ab9cb1d7;
    /* color of the scroll thumb */
    border-radius: 1px;
    /* roundness of the scroll thumb */
    height: .5px;
    cursor: pointer;
}
.phone-main-page form input[type='submit'] {
    background: rgba(234, 0, 255,.5);
    cursor: pointer;
 }


.phone-main-page .apps{
    width: 100%;
    height: 10px;
    margin: 3px 0 0 0;
    display: flex;
    justify-content: space-between;
    padding: 0 5px;
}
.phone-main-page .app{
    position: relative;
    border-radius: 1.5px;
    width: 8px;
    height: 8px;
    cursor: pointer;
}
.phone-main-page .apps #whatsapp-app{
    background-color: green;
}
.phone-main-page .apps #twitter-app{
    background-color: blue;
}
.phone-main-page .apps #mail-app{
    background-color: red;
}

.phone-main-page .app img{

}

.phone-main-page #error-msg-form{
    display: none;
    position: absolute;
    width: 40px;
    min-height: 25px;
    top: 15px;
    border-radius: 2px;
    z-index: 1;
    background: rgb(91,47,115);
    border: 1px solid white;
}

.phone-main-page #error-msg-form #top-block{
    padding: 1px;
    height: 7px;
    display: flex;
    justify-content: center;
}
.phone-main-page #error-msg-form img{

}
.phone-main-page #error-msg-form ul{
    width: 40px;
    font-size: 3px;
    padding: 0 5.5px;
    list-style-type: '( ! ) ';
    text-align: center;
}
.phone-main-page #error-msg-form #wrap-button{
    display: flex;
    justify-content: center;
}
.phone-main-page #error-msg-form button{
    width: 2px;
    height: 6.5px;
    font-size: 3px;
    border: 1px solid;
    border-radius: 2px;
    border-color: rgb(112, 12, 112);
    color: white;
    cursor: pointer;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 1px;
    box-shadow: 1px ;
    padding: auto;
}

.phone-main-page #error-msg-form.active{
    scale: 0;
    animation: openErrorWindow .4s ease-out forwards;
}
.phone-main-page #error-msg-form.disable{
    animation: closeErrorWindow .2s ease-out forwards;
}


@keyframes openErrorWindow {
    0%{
        scale: 0;
    }
    100%{
        scale: 1;
    }
}
@keyframes closeErrorWindow {
    0%{
        scale: 1;
    }
    100%{
        scale: 0;
    }
}

.phone-main-page .msg-reponse{
    width: 100%;
    height: 47.5px;
    display: flex;
    text-align: center;
    align-items: center;
}
.main-loading {
    display: flex;
    justify-content: center;
    color: white;
    align-items: center;
}

.main-loading .logo {
    display: flex;
    justify-content: center;
    width: 120px;
    height: 120px;
    background-color: transparent;
    border-radius: 50%;
    position: relative;
}

.main-loading .squres {
    position: relative;
}

.main-loading .squres span {
    position: absolute;
    top: calc(55px + cos(var(--i)*45deg)* 55px);
    left: calc(55px + sin(var(--i)*45deg)* 55px);
    width: 6px;
    height: 6px;
    background-color: #ffffff;
}

.main-loading .circles-eighth {
    position: relative;
    width: 120px;
    height: 120px;
    z-index: 200;
    background-color: transparent;
    border-radius: 50%;
    rotate: 10deg;
}

.main-loading .circles-eighth svg {
    position: absolute;
}

.main-loading .middle {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 37px;
    width: 100%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 40px;
    font-weight: bold;
    letter-spacing: 5px;
}

.main-loading .middle .leftArrow {
    animation: slideLeft 1s ease-in-out infinite;
}

.main-loading .middle .rightArrow {
    animation: slideRight 1s ease-in-out infinite;
}

@keyframes slideLeft {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(-7px);
    }

    100% {
        transform: translateX(0px);
    }
}

@keyframes slideRight {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(7px);
    }

    100% {
        transform: translateX(0px);
    }
}

.main-loading .wrap-progress {
    padding: 10px 0;
    position: relative;
    display: flex;
}

.main-loading .wrap-progress .progress {
    width: 110px;
    height: 15px;
    border: 1px solid white;
    border-radius: 5px;
    display: flex;
    align-items: center;
    z-index: 2;
    overflow: hidden;
}

.main-loading .wrap-progress span {
    display: block;
    background-color: #ffffff;
    width: 10px;
    height: 12px;
    margin: 1px;
    border-radius: 2px;
}

.main-loading .wrap-progress .squres-progress {
    display: flex;
    transform: translateX(-20px);
    animation: prograssMove 2s linear infinite;
}

@keyframes prograssMove {
    0% {
        transform: translateX(-30px);
    }

    100% {
        transform: translateX(100px);
    }
}
  
  .keyboard-main {
    margin: 100px 0 0 200px;
    width: 1100px;
    position: relative;
  }
  
  .row {
    width: 100%;
    height: 60px;
  }
  .zero span{
    padding: 0.5em .6em;
  }
  .one span,.two span{
    padding: 0.5em 1em;
  }
  .three span{
     padding: 0.5em 0.95em;
  }
  .four span{
    padding: 0.5em 1.02em;
  }

  .five span{
    padding: 0.5em .5em;
  }
  .one,
  .two,
  .three,
  .four
  .five {
    margin: 2px 0 0 0;
  }
  
  .keyboard-main span {
    display: inline-block;
    color: black;

    font-size: 1em;
    line-height: 1.5;
    font-weight: 500;
 
    background: rgb(214, 214, 214);
    border: 3px solid #f704f7;;
    text-align: center;
    margin-left: 5px;
    outline: none;
    font-family: Arial, Helvetica, sans-serif;
    border-radius: 20%;
    opacity: .8;
  }

  
  .print {
    width: 85px;
    border-radius: 10px;
  }
  
  .back {
    width: 148px;
    border-radius: 10px;
  }
  
  .tab {
    width: 115px;
    border-radius: 10px;
  }
  
  .slace {
    width: 90px;
    border: 10px;
  }
  
  /* .cap {
    width: 96px;
    border-radius: 10px;
  } */
  
  .enter-btn {
    width: 109px;
    border-radius: 10px;
  }
  
  .shift {
    width: 135px;
    border-radius: 10px;
   
  }
  
  .last {
    width: 56px;
    border-radius: 10px;
  }
  
  .space {
    width: 398px;
    border-radius: 10px;
  
  }
  
